Skip to main content
`Ctrl`+`K`

# VecScatterRemap

Remaps the “from” and “to” indices in a vector scatter context.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterRemap(VecScatter sf, PetscInt tomap[], PetscInt frommap[])

Collective

## Input Parameters

- sf - vector scatter context

- tomap - remapping plan for “to” indices (may be `NULL`).

- frommap - remapping plan for “from” indices (may be `NULL`)

## Notes

In the parallel case the todata contains indices from where the data is taken (and then sent to others)! The fromdata contains indices from where the received data is finally put locally.

In the sequential case the todata contains indices from where the data is put and the fromdata contains indices from where the data is taken from. This is backwards from the parallel case!

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterCreate()`

## Level

developer

## Location

src/vec/is/sf/interface/vscat.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages